## ja2 0.12.1r6466-1maemo4

=== Makefile ===
CONFIG ?= config.default
-include $(CONFIG)


ifeq ($(findstring $(LNG), DUTCH ENGLISH FRENCH GERMAN ITALIAN POLISH RUSSIAN RUSSIAN_GOLD),)
$(error LNG must be set to one of DUTCH, ENGLISH, FRENCH, GERMAN, ITALIAN, POLISH, RUSSIAN or RUSSIAN_GOLD. Copy config.template to config.default and uncomment one of the languages)
endif

ifndef SGPDATADIR
$(warn No SGPDATADIR specified, make lowercase will not work)
endif


BINARY    ?= ja2
PREFIX    ?= /usr/local
MANPREFIX ?= $(PREFIX)

INSTALL         ?= install
INSTALL_PROGRAM ?= $(INSTALL) -m 555 -s
INSTALL_MAN     ?= $(INSTALL) -m 444
INSTALL_DATA    ?= $(INSTALL) -m 444


SDL_CONFIG  ?= sdl-config
ifndef CFLAGS_SDL
CFLAGS_SDL  := $(shell $(SDL_CONFIG) --cflags)
endif
ifndef LDFLAGS_SDL
LDFLAGS_SDL := $(shell $(SDL_CONFIG) --libs)
endif


CFLAGS += $(CFLAGS_SDL)
CFLAGS += -I Build
CFLAGS += -I Build/Tactical
CFLAGS += -I Build/Strategic
CFLAGS += -I Build/Editor
CFLAGS += -I Build/Res
CFLAGS += -I Build/Laptop
CFLAGS += -I Build/Utils
CFLAGS += -I Build/TileEngine
CFLAGS += -I Build/TacticalAI
CFLAGS += -I sgp

#CFLAGS += -Wall
#CFLAGS += -W
CFLAGS += -Wpointer-arith
CFLAGS += -Wreturn-type
CFLAGS += -Wunused-label
CFLAGS += -Wunused-variable
CFLAGS += -Wwrite-strings

CFLAGS += -DJA2


ifdef WITH_DEMO
  CFLAGS += -DJA2DEMO
endif

ifdef WITH_DEMO_ADS
  ifndef WITH_DEMO
    $(error WITH_DEMO_ADS needs WITH_DEMO)
  endif
  CFLAGS += -DJA2DEMOADS
endif

ifdef WITH_FIXMES
  CFLAGS += -DWITH_FIXMES
endif

ifdef WITH_MAEMO
  CFLAGS += -DWITH_MAEMO
endif

ifdef WITH_MAEMO5
  CFLAGS += -DWITH_MAEMO5
endif

ifdef WITH_SOUND_DEBUG
  CFLAGS += -DWITH_SOUND_DEBUG
endif

ifdef _DEBUG
  CFLAGS += -D_DEBUG
  ifndef JA2TESTVERSION
    JA2TESTVERSION := yes
  endif
endif

ifdef JA2TESTVERSION
  CFLAGS += -DJA2TESTVERSION
  ifndef JA2BETAVERSION
  	JA2BETAVERSION := yes
  endif
endif

ifdef JA2BETAVERSION
CFLAGS += -DJA2BETAVERSION -DSGP_DEBUG -DFORCE_ASSERTS_ON -DSGP_VIDEO_DEBUGGING
endif

ifdef JA2EDITOR
CFLAGS += -DJA2EDITOR
endif

CFLAGS += -D$(LNG)

CFLAGS += -DSGPDATADIR=\"$(SGPDATADIR)\"

CCFLAGS += $(CFLAGS)
CCFLAGS += -std=gnu99
CCFLAGS += -Werror-implicit-function-declaration
CCFLAGS += -Wimplicit-int
CCFLAGS += -Wmissing-prototypes

CXXFLAGS += $(CFLAGS)

LDFLAGS += $(LDFLAGS_SDL)
LDFLAGS += -lm

ifdef WITH_ZLIB
LDFLAGS += -lz
endif

SRCS :=
SRCS += Build/AniViewScreen.cc
SRCS += Build/Credits.cc

ifdef JA2EDITOR
SRCS += Build/Editor/Cursor_Modes.cc
SRCS += Build/Editor/EditScreen.cc
SRCS += Build/Editor/Edit_Sys.cc
SRCS += Build/Editor/EditorBuildings.cc
SRCS += Build/Editor/EditorItems.cc
SRCS += Build/Editor/EditorMapInfo.cc
SRCS += Build/Editor/EditorMercs.cc
SRCS += Build/Editor/EditorTerrain.cc
SRCS += Build/Editor/Editor_Callbacks.cc
SRCS += Build/Editor/Editor_Modes.cc
SRCS += Build/Editor/Editor_Taskbar_Creation.cc
SRCS += Build/Editor/Editor_Taskbar_Utils.cc
SRCS += Build/Editor/Editor_Undo.cc
SRCS += Build/Editor/Item_Statistics.cc
SRCS += Build/Editor/LoadScreen.cc
SRCS += Build/Editor/MessageBox.cc
SRCS += Build/Editor/NewSmooth.cc
SRCS += Build/Editor/PopupMenu.cc
SRCS += Build/Editor/Road_Smoothing.cc
SRCS += Build/Editor/Sector_Summary.cc
SRCS += Build/Editor/SelectWin.cc
SRCS += Build/Editor/SmartMethod.cc
SRCS += Build/Editor/Smooth.cc
SRCS += Build/Editor/Smoothing_Utils.cc
endif

SRCS += Build/Fade_Screen.cc
SRCS += Build/GameInitOptionsScreen.cc
SRCS += Build/GameLoop.cc
SRCS += Build/GameScreen.cc
SRCS += Build/GameSettings.cc
SRCS += Build/GameVersion.cc
SRCS += Build/HelpScreen.cc
SRCS += Build/Init.cc
SRCS += Build/Intro.cc
SRCS += Build/JA2_Splash.cc
SRCS += Build/JAScreens.cc
SRCS += Build/Laptop/AIM.cc
SRCS += Build/Laptop/AIMArchives.cc
SRCS += Build/Laptop/AIMFacialIndex.cc
SRCS += Build/Laptop/AIMHistory.cc
SRCS += Build/Laptop/AIMLinks.cc
SRCS += Build/Laptop/AIMMembers.cc
SRCS += Build/Laptop/AIMPolicies.cc
SRCS += Build/Laptop/AIMSort.cc
SRCS += Build/Laptop/BobbyR.cc
SRCS += Build/Laptop/BobbyRAmmo.cc
SRCS += Build/Laptop/BobbyRArmour.cc
SRCS += Build/Laptop/BobbyRGuns.cc
SRCS += Build/Laptop/BobbyRMailOrder.cc
SRCS += Build/Laptop/BobbyRMisc.cc
SRCS += Build/Laptop/BobbyRShipments.cc
SRCS += Build/Laptop/BobbyRUsed.cc
SRCS += Build/Laptop/BrokenLink.cc
SRCS += Build/Laptop/CharProfile.cc
SRCS += Build/Laptop/EMail.cc
SRCS += Build/Laptop/Files.cc
SRCS += Build/Laptop/Finances.cc
SRCS += Build/Laptop/Florist.cc
SRCS += Build/Laptop/Florist_Cards.cc
SRCS += Build/Laptop/Florist_Gallery.cc
SRCS += Build/Laptop/Florist_Order_Form.cc
SRCS += Build/Laptop/Funeral.cc
SRCS += Build/Laptop/History.cc
SRCS += Build/Laptop/IMPVideoObjects.cc
SRCS += Build/Laptop/IMP_AboutUs.cc
SRCS += Build/Laptop/IMP_Attribute_Entrance.cc
SRCS += Build/Laptop/IMP_Attribute_Finish.cc
SRCS += Build/Laptop/IMP_Attribute_Selection.cc
SRCS += Build/Laptop/IMP_Begin_Screen.cc
SRCS += Build/Laptop/IMP_Compile_Character.cc
SRCS += Build/Laptop/IMP_Confirm.cc
SRCS += Build/Laptop/IMP_Finish.cc
SRCS += Build/Laptop/IMP_HomePage.cc
SRCS += Build/Laptop/IMP_MainPage.cc
SRCS += Build/Laptop/IMP_Personality_Entrance.cc
SRCS += Build/Laptop/IMP_Personality_Finish.cc
SRCS += Build/Laptop/IMP_Personality_Quiz.cc
SRCS += Build/Laptop/IMP_Portraits.cc
SRCS += Build/Laptop/IMP_Text_System.cc
SRCS += Build/Laptop/IMP_Voices.cc
SRCS += Build/Laptop/Insurance.cc
SRCS += Build/Laptop/Insurance_Comments.cc
SRCS += Build/Laptop/Insurance_Contract.cc
SRCS += Build/Laptop/Insurance_Info.cc
SRCS += Build/Laptop/Laptop.cc
SRCS += Build/Laptop/Mercs.cc
SRCS += Build/Laptop/Mercs_Account.cc
SRCS += Build/Laptop/Mercs_Files.cc
SRCS += Build/Laptop/Mercs_No_Account.cc
SRCS += Build/Laptop/Personnel.cc
SRCS += Build/Laptop/Store_Inventory.cc
SRCS += Build/LoadSaveEMail.cc
SRCS += Build/LoadSaveTacticalStatusType.cc
SRCS += Build/Loading_Screen.cc
SRCS += Build/MainMenuScreen.cc
SRCS += Build/MessageBoxScreen.cc
SRCS += Build/Options_Screen.cc
SRCS += Build/SaveLoadGame.cc
SRCS += Build/SaveLoadScreen.cc
SRCS += Build/Screens.cc
SRCS += Build/Strategic/AI_Viewer.cc
SRCS += Build/Strategic/Assignments.cc
SRCS += Build/Strategic/Auto_Resolve.cc
SRCS += Build/Strategic/Campaign_Init.cc
SRCS += Build/Strategic/Creature_Spreading.cc
SRCS += Build/Strategic/Game_Clock.cc
SRCS += Build/Strategic/Game_Event_Hook.cc
SRCS += Build/Strategic/Game_Events.cc
SRCS += Build/Strategic/Game_Init.cc
SRCS += Build/Strategic/Hourly_Update.cc
SRCS += Build/Strategic/LoadSaveSectorInfo.cc
SRCS += Build/Strategic/LoadSaveStrategicMapElement.cc
SRCS += Build/Strategic/LoadSaveUndergroundSectorInfo.cc
SRCS += Build/Strategic/MapScreen.cc
SRCS += Build/Strategic/Map_Screen_Helicopter.cc
SRCS += Build/Strategic/Map_Screen_Interface.cc
SRCS += Build/Strategic/Map_Screen_Interface_Border.cc
SRCS += Build/Strategic/Map_Screen_Interface_Bottom.cc
SRCS += Build/Strategic/Map_Screen_Interface_Map.cc
SRCS += Build/Strategic/Map_Screen_Interface_Map_Inventory.cc
SRCS += Build/Strategic/Map_Screen_Interface_TownMine_Info.cc
SRCS += Build/Strategic/Meanwhile.cc
SRCS += Build/Strategic/Merc_Contract.cc
SRCS += Build/Strategic/Player_Command.cc
SRCS += Build/Strategic/PreBattle_Interface.cc
SRCS += Build/Strategic/Queen_Command.cc
SRCS += Build/Strategic/QuestText.cc
SRCS += Build/Strategic/Quest_Debug_System.cc
SRCS += Build/Strategic/Quests.cc
SRCS += Build/Strategic/Scheduling.cc
SRCS += Build/Strategic/Strategic.cc
SRCS += Build/Strategic/StrategicMap.cc
SRCS += Build/Strategic/Strategic_AI.cc
SRCS += Build/Strategic/Strategic_Event_Handler.cc
SRCS += Build/Strategic/Strategic_Merc_Handler.cc
SRCS += Build/Strategic/Strategic_Mines.cc
SRCS += Build/Strategic/Strategic_Movement.cc
SRCS += Build/Strategic/Strategic_Movement_Costs.cc
SRCS += Build/Strategic/Strategic_Pathing.cc
SRCS += Build/Strategic/Strategic_Status.cc
SRCS += Build/Strategic/Strategic_Town_Loyalty.cc
SRCS += Build/Strategic/Strategic_Turns.cc
SRCS += Build/Strategic/Town_Militia.cc
SRCS += Build/Sys_Globals.cc
SRCS += Build/Tactical/Air_Raid.cc
SRCS += Build/Tactical/Animation_Cache.cc
SRCS += Build/Tactical/Animation_Control.cc
SRCS += Build/Tactical/Animation_Data.cc
SRCS += Build/Tactical/ArmsDealerInvInit.cc
SRCS += Build/Tactical/Arms_Dealer_Init.cc
SRCS += Build/Tactical/Auto_Bandage.cc
SRCS += Build/Tactical/Boxing.cc
SRCS += Build/Tactical/Bullets.cc
SRCS += Build/Tactical/Campaign.cc
SRCS += Build/Tactical/Civ_Quotes.cc
SRCS += Build/Tactical/Dialogue_Control.cc
SRCS += Build/Tactical/DisplayCover.cc
SRCS += Build/Tactical/Drugs_And_Alcohol.cc
SRCS += Build/Tactical/End_Game.cc
SRCS += Build/Tactical/Enemy_Soldier_Save.cc
SRCS += Build/Tactical/FOV.cc
SRCS += Build/Tactical/Faces.cc
SRCS += Build/Tactical/Gap.cc
SRCS += Build/Tactical/Handle_Doors.cc
SRCS += Build/Tactical/Handle_Items.cc
SRCS += Build/Tactical/Handle_UI.cc
SRCS += Build/Tactical/Interface.cc
SRCS += Build/Tactical/Interface_Control.cc
SRCS += Build/Tactical/Interface_Cursors.cc
SRCS += Build/Tactical/Interface_Dialogue.cc
SRCS += Build/Tactical/Interface_Items.cc
SRCS += Build/Tactical/Interface_Panels.cc
SRCS += Build/Tactical/Interface_Utils.cc
SRCS += Build/Tactical/Inventory_Choosing.cc
SRCS += Build/Tactical/Items.cc
SRCS += Build/Tactical/Keys.cc
SRCS += Build/Tactical/LOS.cc
SRCS += Build/Tactical/LoadSaveBullet.cc
SRCS += Build/Tactical/LoadSaveMercProfile.cc
SRCS += Build/Tactical/LoadSaveObjectType.cc
SRCS += Build/Tactical/LoadSaveRottingCorpse.cc
SRCS += Build/Tactical/LoadSaveSoldierCreate.cc
SRCS += Build/Tactical/LoadSaveSoldierType.cc
SRCS += Build/Tactical/LoadSaveVehicleType.cc
SRCS += Build/Tactical/Map_Information.cc
SRCS += Build/Tactical/Merc_Entering.cc
SRCS += Build/Tactical/Merc_Hiring.cc
SRCS += Build/Tactical/Militia_Control.cc
SRCS += Build/Tactical/Morale.cc
SRCS += Build/Tactical/OppList.cc
SRCS += Build/Tactical/Overhead.cc
SRCS += Build/Tactical/PathAI.cc
SRCS += Build/Tactical/Points.cc
SRCS += Build/Tactical/QArray.cc
SRCS += Build/Tactical/Real_Time_Input.cc
SRCS += Build/Tactical/Rotting_Corpses.cc
SRCS += Build/Tactical/ShopKeeper_Interface.cc
SRCS += Build/Tactical/SkillCheck.cc
SRCS += Build/Tactical/Soldier_Add.cc
SRCS += Build/Tactical/Soldier_Ani.cc
SRCS += Build/Tactical/Soldier_Control.cc
SRCS += Build/Tactical/Soldier_Create.cc
SRCS += Build/Tactical/Soldier_Find.cc
SRCS += Build/Tactical/Soldier_Init_List.cc
SRCS += Build/Tactical/Soldier_Profile.cc
SRCS += Build/Tactical/Soldier_Tile.cc
SRCS += Build/Tactical/Spread_Burst.cc
SRCS += Build/Tactical/Squads.cc
SRCS += Build/Tactical/Strategic_Exit_GUI.cc
SRCS += Build/Tactical/Structure_Wrap.cc
SRCS += Build/Tactical/Tactical_Save.cc
SRCS += Build/Tactical/Tactical_Turns.cc
SRCS += Build/Tactical/TeamTurns.cc
SRCS += Build/Tactical/Turn_Based_Input.cc
SRCS += Build/Tactical/UI_Cursors.cc
SRCS += Build/Tactical/Vehicles.cc
SRCS += Build/Tactical/Weapons.cc
SRCS += Build/Tactical/World_Items.cc
SRCS += Build/TacticalAI/AIList.cc
SRCS += Build/TacticalAI/AIMain.cc
SRCS += Build/TacticalAI/AIUtils.cc
SRCS += Build/TacticalAI/Attacks.cc
SRCS += Build/TacticalAI/CreatureDecideAction.cc
SRCS += Build/TacticalAI/DecideAction.cc
SRCS += Build/TacticalAI/FindLocations.cc
SRCS += Build/TacticalAI/Knowledge.cc
SRCS += Build/TacticalAI/Medical.cc
SRCS += Build/TacticalAI/Movement.cc
SRCS += Build/TacticalAI/NPC.cc
SRCS += Build/TacticalAI/PanicButtons.cc
SRCS += Build/TacticalAI/Realtime.cc
SRCS += Build/TileEngine/Ambient_Control.cc
SRCS += Build/TileEngine/Buildings.cc
SRCS += Build/TileEngine/Environment.cc
SRCS += Build/TileEngine/Exit_Grids.cc
SRCS += Build/TileEngine/Explosion_Control.cc
SRCS += Build/TileEngine/Fog_Of_War.cc
SRCS += Build/TileEngine/Interactive_Tiles.cc
SRCS += Build/TileEngine/Isometric_Utils.cc
SRCS += Build/TileEngine/LightEffects.cc
SRCS += Build/TileEngine/Lighting.cc
SRCS += Build/TileEngine/LoadSaveExplosionType.cc
SRCS += Build/TileEngine/LoadSaveLightEffect.cc
SRCS += Build/TileEngine/LoadSaveLightSprite.cc
SRCS += Build/TileEngine/LoadSaveRealObject.cc
SRCS += Build/TileEngine/LoadSaveSmokeEffect.cc

## ja2 0.12.1r6466-1maemo3

=== debian/changelog ===
ja2 (0.12.1r6466-1maemo3) unstable; urgency=low

  * Hopefully fix the building on i386

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 25 Dec 2009 19:24:36 +0000

ja2 (0.12.1r6466-1maemo2) unstable; urgency=low

  * Added missing targets to debian/rules

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 25 Dec 2009 18:55:20 +0000

ja2 (0.12.1r6466-1maemo1) unstable; urgency=low

  * Use proximity sensor for right click on Fremantle

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 25 Dec 2009 17:52:13 +0000

ja2 (0.12.1r6466-1maemo0) unstable; urgency=low

  * Initial release

 -- Faheem Pervez <trippin1@gmail.com>  Thu, 23 Jul 2009 10:43:10 +0100

=== debian/control ===
Source: ja2
Section: user/games
Priority: extra
Maintainer: Faheem Pervez <trippin1@gmail.com>
Build-Depends: debhelper (>= 5), sharutils, quilt, libsdl1.2-dev, libosso-dev, libx11-dev
Standards-Version: 3.7.2

Package: ja2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-installer-utils
Description: An enhanced port of Jagged Alliance 2 to SDL
 Jagged Alliance 2 is a tactical role-playing game; developed
 by Sir-Tech Canada.
 .
 The game requires a keyboard, so an N810 or an N800 with a
 bluetooth keyboard/xkbd is required.
 .
 You are required to have the original CD - with the English 
 data - for the required data files.
XB-Maemo-Display-Name: Jagged Alliance 2 (English CD Ver.)
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAAAXNSR0IArs4c
 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9gCAxEILyQgtnoAAAZw
 SURBVEjHdZXLb1TnGcbf9/2+c87MGdtzsT0G2/iGsfGljiAkAgKkJEBZJG2i
 piiVkrKp2n03bf+D/gFddcUmWbRSFo2a0KilEr2IUhoIxk7xBdtje2Y8Mz5z
 jufMnNt36cJIpVL7+wMePYtHzw8REf4XCETILCIJ6tRoYSyXanaSc/McyPjs
 QfPBlmuAIVRMyFKIHaWklgDAX4wgJIPTS8O9K+WDvlzq3GTPcDa1vhdJJd56
 uetXn9VH4771erS7F97oLnZSLBHyjSNdD1viN9vbUsN/4hCRiK4s5N8+3y18
 Xmumyo4uxGzWNvf8wEC9ej9JS3bvsbMTRT+ZG7Zs2I7Frx9Xf3xu8O6dikJA
 RK01IyIiYowppd6fL/jbFNT5OSP7aO2gX1m//Of2hULur3vexSPZTAYvvZzZ
 Erga+PYAqwjBWeqTr3a/rPhCycNaHBEBUClFSOObmVuN2lIQvXp68p7Tvjjd
 O9fpemnUOFUcJFR9ddNaFpYbf1Ju/X7VS5QyDVPEQiESMaUkADBERASb+HsT
 R3dV8kXNOT2W/fa3bMFElCECs88H4+sENylbU5mqGoitP/FAIBmcp5iFiEQA
 oA9BIir2F7Ndmf1GU6LM2OYPv9kf+IKbyaePdZaslEKdxBWdvBbxmzVDov7F
 CTrIWYigJQgpYiE8r1OrOe0g5IhoWfx7N951HefLh3//7ilVq8CjCvPBTPUk
 gpgvdSQoj5k31zRqvdZDMstTFmjUhEwqsgRX0nBd6oTIEJEAEOHKlTdmZ2aW
 F6uP6p2EMyTNGRGhQpUBeK9KJz211s9+N8lYxrQMAxlxkyulNAAocNxWGAkG
 AIigVbJV2mDcnFo4M7+wUK6WoigAwB6TJgO4uYGFdvxwzKpmcTI2EFXNUBoQ
 CTg3Ou0oTpJWKwjChCEiI0qiqN3u7DsN0zREIl45dSZr20l7/7UWXl2K7UAa
 GkaacrKuelrJRpF7NpcASSy1BiVJg3abfidMGBHZdtrgLBFJFERCdfqyubjm
 tCNxYWhs+vaKFYEgLREipGYXu1uEal+qN1QjcwvXrr81MT4zOzPf7oTbpbLf
 CTgAGAYrFvO+3+q0w6Gjo5ZlLG6UuoA93FKtsb7WSOHZfskToiaE5qiYYYPe
 t/BHl14/OTVnZ3oq5Wq9sb/05Gml7hAASKkYo+JA79T01E9/9vPj0wsbm6W0
 mXJQ3B+xH3G5DPKZDA8U+CJRgM2DDmP5IwPHpJJP/7V8+/bn6+sbrusBAB3O
 L0l0ve5ev/pm2210pa1GfV9a5sDM7OlLl9Y2n0WRQGSMAyIKkXiuf/3aVRDh
 nTt3/vHgfhD6nue5bgsAGBFZlqW1dA8626Vd0+CFfPad77w9efz4V48X9/Z2
 92pVrTTow+ljKs0bjaaM46ATLC2vuq4bRdHOTsX32+0gYABgmEYYhUggomh9
 Y+tv9+6HUWCZ7Mrl1185e3ZsdKxSLnueJ4RMpdBpuFKqCxfPP15c8tut6ZPH
 S1vVpus0GvUgihkRcca1lgwJARln3oG3sra+sbbZdJq5fDbX3fODDz+Ym507
 PjFx5MhgvpB//8b3v7FwJlcobm3tfPjBzeGhY9vbpe3SbhgliIiGYfT02Nnu
 TLvVBtDEmNbaSpkGN5DhpbPnlFCzs9P5XPeJmdnR0RNNt763VyYkg6f6+4vp
 TOajjz++deujzZ1djoimafTmuoaH87Z9dHN9r3kQSCmDThhAyJhRrlUmJsb/
 ePcv+7Xa/PzC2PgxximOonK56nvutWvXzp+/ODw4mOnJPH9jRmRZhmEaoGF8
 YoBK9UajpRERMY6irdLO+Mjw5QuvDhwdihQmUdKo1b74w58L+e7rVy5PTZ1Y
 /nrxydLiXqX6/O/SltnX25XpSmshObFszrYz9sFBWykNSjdb/tp6KeyEhLTx
 bP3Jk8WHjxYdp5nv7l5ZeWbbBqD87aefV6vNWAiGiJZl5nLpnmw6bZmMEEAr
 UHEigiBBAAVaKOm6vusdLK2ulitVAtXqdEzTqNadpytrx4YGmcE2t3fanZAD
 gBCy5UfWvp/inBFp0EEYIzAhxOHIAcjxPMf1kQBA1bSDCCenT4yNDDHGn66s
 NlzP8/xDhSFjlEqbKdM0GENEDUprUFKFQRLKCACURAAE0C9IVPX2FrpsKwxC
 JBIKHKclRIwvavu/Fa4RSGkF/x98DmitD2/033iFktzdhk3IAAAAAElFTkSu
 QmCC

=== debian/rules ===
#!/usr/bin/make -f
# This file was originally written by Joey Hess and Craig Small.

include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mcpu=arm1136jf-s -mtune=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
endif

MAKE += LNG=ENGLISH PREFIX=/usr MANPREFIX=/usr/share WITH_MAEMO5=yes BUILDFLAGS="$(CFLAGS)" 

build: patch build-stamp

build-stamp: 
	dh_testdir

	$(MAKE)

	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-$(MAKE) clean
	rm -f $(CURDIR)/sgp/SetTitle.d $(CURDIR)/sgp/SetTitle.o

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/ja2 install
	install -m755 -D $(CURDIR)/debian/ja2launcher.sh $(CURDIR)/debian/ja2/usr/bin/ja2launcher
	uudecode $(CURDIR)/debian/ja2.png.uuencoded -o $(CURDIR)/debian/ja2/usr/share/icons/hicolor/scalable/apps/ja2.png
	install -m644 $(CURDIR)/debian/ja2.service $(CURDIR)/debian/ja2/usr/share/dbus-1/services/
	install -m644 $(CURDIR)/ja2-stracciatella.desktop $(CURDIR)/debian/ja2/usr/share/applications/hildon/ja2.desktop
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog
	dh_installdocs
	install -m644 $(CURDIR)/"SFI Source Code license agreement.txt" $(CURDIR)/debian/ja2/usr/share/doc/ja2/
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## ja2 0.12.1r6466-1maemo4

=== debian/changelog ===
ja2 (0.12.1r6466-1maemo4) unstable; urgency=low

  * Optified the package

 -- Faheem Pervez <trippin1@gmail.com>  Fri, 25 Dec 2009 20:03:40 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/games
 Priority: extra
 Maintainer: Faheem Pervez <trippin1@gmail.com>
-Build-Depends: debhelper (>= 5), sharutils, quilt, libsdl1.2-dev, libosso-dev, libx11-dev
+Build-Depends: debhelper (>= 5), sharutils, quilt, libsdl1.2-dev, libosso-dev, libx11-dev, maemo-optify
 Standards-Version: 3.7.2
 
 Package: ja2

## ja2 0.12.1r6466-1maemo5

=== debian/changelog ===
ja2 (0.12.1r6466-1maemo5) unstable; urgency=low

  * Changed maintainer

 -- Janne Makinen <janne.makinen@surffi.fi>>  Sun, 27 Dec 2009 13:23:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ja2
 Section: user/games
 Priority: extra
-Maintainer: Faheem Pervez <trippin1@gmail.com>
+Maintainer: Janne Mäkinen <janne.makinen@surffi.fi>
 Build-Depends: debhelper (>= 5), sharutils, quilt, libsdl1.2-dev, libosso-dev, libx11-dev, maemo-optify
 Standards-Version: 3.7.2

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
+	maemo-optify
 	dh_md5sums
 	dh_builddeb

## ja2 0.12.1r6466-1maemo6

=== debian/changelog ===
ja2 (0.12.1r6466-1maemo6) unstable; urgency=low

  * Added kb layout switch to startup script, suspend game when window loses focus

 -- Janne Makinen <janne.makinen@surffi.fi>>  Fri, 22 Jan 2010 19:44:06 +0000
